# CARTA Envoy: The Workspaces CARTA Image Viewer System

The CARTA Envoy is responsible for setup and launch of CARTA processes for viewing images, either by user request via
the NRAO Archive or upon completion of a Workspaces image processing request.

## Usage
`carta_envoy [-h] -d DIRECTORY [-n NOTIFY] [-r READY] [--parallel] [--single] [-wf WORKFLOW_REQUEST] [-i IMAGE]`

## Examples

### To run carta envoy from command line: example on wirth-vml
1. download image(s) from webtest
2. `ssh vlapipe@wirth-vml`
3. `activate_profile dsoc-dev`
4. cd download location on lustre, e.g., */lustre/aoc/cluster/pipeline/dsoc-dev/spool/820190220*
5. `/lustre/aoc/cluster/pipeline/dsoc-dev/workspaces/sbin/carta_envoy -d ./VLASS1.1.ql.T01t01.J000228-363000.10.2048.v1/rawdata -r true -n jgoldste@nrao.edu`

### To run CARTA from the workspaces UI on dev
Pick a completed capability request from the database that has image products and open the request page for it;
there will be a "launch carta" button.

https://ws-dev.nrao.edu/workspaces/request-status/21
![carta.png](carta.png)
